package com.tzld.piaoquan.api.dao.mapper.wecom.thirdpart;

import com.tzld.piaoquan.api.model.po.wecom.thirdpart.ThirdPartWeComRoomConfigTask;
import com.tzld.piaoquan.api.model.po.wecom.thirdpart.ThirdPartWeComRoomConfigTaskExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ThirdPartWeComRoomConfigTaskMapper {
    long countByExample(ThirdPartWeComRoomConfigTaskExample example);

    int deleteByExample(ThirdPartWeComRoomConfigTaskExample example);

    int deleteByPrimaryKey(String id);

    int insert(ThirdPartWeComRoomConfigTask record);

    int insertSelective(ThirdPartWeComRoomConfigTask record);

    List<ThirdPartWeComRoomConfigTask> selectByExample(ThirdPartWeComRoomConfigTaskExample example);

    ThirdPartWeComRoomConfigTask selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") ThirdPartWeComRoomConfigTask record, @Param("example") ThirdPartWeComRoomConfigTaskExample example);

    int updateByExample(@Param("record") ThirdPartWeComRoomConfigTask record, @Param("example") ThirdPartWeComRoomConfigTaskExample example);

    int updateByPrimaryKeySelective(ThirdPartWeComRoomConfigTask record);

    int updateByPrimaryKey(ThirdPartWeComRoomConfigTask record);
}